# $Revision: 1.75.4.29 $, $Date: 2008-04-03 19:23:13 $
#
# Conditinal build:
%bcond_without	beagle			# build without beagle support 
#
%ifarch alpha i386 sparc sparc64 
%undefine	with_beagle
%endif
#
Summary:	A system documentation reader from the GNOME project
Summary(pl):	Czytnik dokumentacji z projektu GNOME
Name:		yelp
Version:	2.14.3
Release:	20
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/yelp/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	d3c4300c9a7d38ff2179b934ca5e2d1a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-m4.patch
Patch2:		%{name}-bs.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_beagle:BuildRequires:	beagle-devel >= 0.2.7}
BuildRequires:	bzip2-devel
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gnome-doc-utils >= 0.4.0
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libgnomeprintui-devel >= 2.12.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.21
BuildRequires:	libxslt-devel >= 1.1.5
BuildRequires:	xulrunner-devel >= 1.8.0.4
BuildRequires:	pkgconfig >= 1:0.15.0
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	zlib-devel
Requires(post,preun):	GConf2
Requires:	docbook-style-xsl >= 1.55.0
Requires:	gnome-doc-utils >= 0.4.0
Requires:	gnome-vfs2 >= 2.14.2
Requires:	libgnomeui >= 2.14.1
Requires:	scrollkeeper
%requires_eq	xulrunner
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# can be provided by mozilla or mozilla-embedded
%define		_noautoreqdep	libgtkembedmoz.so libgtksuperwin.so libxpcom.so

%description
Yelp is the GNOME help/documentation browser. It is designed to help
you browse all the documentation on your system in one central tool.

%description -l pl
Yelp jest przegldark pomocy i dokumentacji GNOME. Umoliwia
przegldanie caej dokumentacji systemu za pomoc jednego, centralnego
narzdzia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--with-gecko=xulrunner
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install yelp.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall yelp.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/192x192/apps/yelp-icon-big.png
%{_sysconfdir}/gconf/schemas/yelp.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yelp.spec,v $
Revision 1.75.4.29  2008-04-03 19:23:13  glen
- release 20 (xulrunner 1.8.1.13)

Revision 1.75.4.28  2008-02-08 20:01:08  hawk
- release 19 (xulrunner 1.8.1.12)

Revision 1.75.4.27  2007-12-02 12:34:51  hawk
- release 18 (xulrunner 1.8.1.11)

Revision 1.75.4.26  2007-11-27 21:38:29  glen
- rel 17 (xulrunner 1.8.1.10)

Revision 1.75.4.25  2007-11-09 11:57:50  glen
- xulrunner-1_8_1_9-1_20071102_1

Revision 1.75.4.24  2007-10-20 16:28:06  hawk
- release 15 (xulrunner 1.8.1.8)

Revision 1.75.4.23  2007/09/20 19:45:14  glen
- rel 14 (xulrunner 1.8.1.7)

Revision 1.75.4.22  2007/08/28 14:42:23  glen
- rel 13 (xulrunner 1.8.1.6)

Revision 1.75.4.21  2007/07/18 16:10:36  hawk
- release 12 (xulrunner 1.8.1.5)

Revision 1.75.4.20  2007/06/03 15:12:31  hawk
- release 11, xulrunner 1.8.1.4

Revision 1.75.4.19  2007/03/21 21:17:50  hawk
- release 10 (xulrunner 1.8.1.3)

Revision 1.75.4.18  2007/02/26 11:58:53  hawk
- release 9

Revision 1.75.4.17  2007/01/25 13:20:56  hawk
- dropped mozilla_firefox bcond, firefox no longer provides devel package

Revision 1.75.4.16  2007/01/03 18:24:38  hawk
- specify which mozilla to use for compilation, autodetect fails with
  more than one gecko installed
- fixed xulrunner R

Revision 1.75.4.15  2007/01/01 19:34:16  hawk
- mozilla is dead, replaced mozilla deps with xulrunner deps
- build against xulrunner by default
- release 8

Revision 1.75.4.14  2006/12/08 13:54:05  glen
- rel 7 (mozilla-firefox-2.0)

Revision 1.75.4.13  2006/11/26 11:30:14  glen
- rel 6 (mozilla-firefox 1.5.0.8)

Revision 1.75.4.12  2006/09/15 18:21:04  glen
- rel 5 (mozilla-firefox 1.5.0.7)

Revision 1.75.4.11  2006/08/09 19:09:17  freetz
- disable beagle on unsupported archs, rel.4

Revision 1.75.4.10  2006/08/09 18:00:21  freetz
- rel.3, build by default with beagle support (beagle support detected at
  runtime)

Revision 1.75.4.9  2006/08/03 12:06:31  hawk
- release 2

Revision 1.75.4.8  2006/08/02 17:59:37  freetz
- 2.14.3, use rpm macros

Revision 1.75.4.7  2006/07/29 10:16:05  freetz
- rel.2 for rebuild with firefox 1.5.0.5

Revision 1.75.4.6  2006/07/22 22:34:56  havner
- BR: libgnomeprintui

Revision 1.75.4.5  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.75.4.4  2006/05/19 16:08:48  freetz
- rel.4, firefox by default (like other GNOME apps)

Revision 1.75.4.3  2006/05/18 22:38:40  baggins
- release 3
- strict reqs

Revision 1.75.4.2  2006/05/16 14:49:44  baggins
- merged from HEAD without beagle

Revision 1.78  2006/04/20 11:33:09  ankry
- added bs patch, rel. 2

Revision 1.77  2006/04/10 16:41:09  freetz
- 2.14.1

Revision 1.76  2006/04/02 14:56:35  freetz
- merged from DEVEL

Revision 1.75.2.8  2006/03/19 18:40:04  freetz
- enable beagle support

Revision 1.75.2.7  2006/03/13 08:04:26  freetz
- 2.14.0

Revision 1.75.2.6  2006/03/04 23:10:11  freetz
- disable beagle until poldek overloaded provides is fixed, rel.2

Revision 1.75.2.5  2006/02/27 08:55:08  freetz
- 2.13.6, dropped xslt_location patch (rejected upstream), enable beagle
  support by default (should fallback to basic search now when beagled is
  not running)

Revision 1.75.2.4  2006/02/13 10:05:28  freetz
- 2.13.5, use system location for xslt, use basic seach (beagle search
  has no fallback)

Revision 1.75.2.3  2006/02/01 18:02:24  freetz
- added m4 fix

Revision 1.75.2.2  2006/02/01 15:12:23  freetz
- fixed version in commit log

Revision 1.75.2.1  2006/02/01 15:01:25  freetz
- 2.13.4

Revision 1.75  2005/11/28 18:03:32  freetz
- 2.12.2

Revision 1.74  2005/10/05 17:03:45  freetz
- rebuild with mozilla 1.7.12, rel.2

Revision 1.73  2005/09/21 13:10:47  freetz
- 2.12.1

Revision 1.72  2005/09/12 08:16:46  freetz
- fixed pl, removed redundant todo part

Revision 1.71  2005/09/11 23:23:31  ankry
- tabs, pl

Revision 1.70  2005/09/06 22:26:17  aflinta
- bump BRs

Revision 1.69  2005/09/06 22:25:01  aflinta
- merged from DEVEL, 2.12.0

Revision 1.66.2.11  2005/08/25 08:37:22  paladine
- updated to 2.11.92
- use style macros
- sorted %%files

Revision 1.66.2.10  2005/08/18 12:24:16  aflinta
- rebuild with cairo, rel. 3

Revision 1.66.2.9  2005/08/17 07:19:25  paladine
- removed R: gnome-mime-data

Revision 1.66.2.8  2005/07/27 14:02:01  freetz
- TODO expanded

Revision 1.66.2.7  2005/07/27 13:22:40  aflinta
- added firefox support

Revision 1.66.2.6  2005/07/13 19:31:51  wiget
- updated some BR/R

Revision 1.66.2.5  2005/07/13 19:30:08  wiget
- updated to 2.11.1

Revision 1.66.2.4  2005/05/04 10:12:35  aflinta
- up to version 2.10.0

Revision 1.66.2.3  2005/03/20 22:47:16  aflinta
- oooops, wrong gnome-doc-utils version

Revision 1.66.2.2  2005/03/20 22:09:34  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.66.2.1  2005/02/08 22:41:53  grzegol
- updated to 2.9.3
- added MOZILLA_HOME patch

Revision 1.66  2004/12/11 00:57:01  ankry
- rel. 2

Revision 1.65  2004/12/06 17:45:10  freetz
- 2.6.5, STBR

Revision 1.64  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.63  2004/10/30 12:17:48  paladine
- spaces->tabs

Revision 1.62  2004/10/12 10:28:39  aflinta
- up to version 2.6.4

Revision 1.61  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.60  2004/09/14 13:31:31  grzegol
- updated to 2.6.3

Revision 1.59  2004/08/31 12:15:14  grzegol
- updated to 2.6.2
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.58  2004/08/24 00:11:25  havner
- rel 3 (fixed categories)

Revision 1.57  2004/08/10 22:45:50  krzak
- desktop-categories.patch
- rel 2

Revision 1.56  2004/04/21 07:14:51  aflinta
- up to version 2.6.1

Revision 1.55  2004/03/24 11:33:05  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.54.2.11  2004/03/17 06:51:29  aflinta
- up to version 0.7.1

Revision 1.54.2.10  2004/03/09 11:49:39  grzegol
- added BR: libxml2-devel, popt-devel and sorted Rs

Revision 1.54.2.9  2004/03/09 11:05:45  aflinta
- up to version 2.5.90

Revision 1.54.2.8  2004/02/25 19:19:12  aflinta
- we need newer libxslt

Revision 1.54.2.7  2004/02/25 10:54:52  aflinta
- up to version 2.5.6

Revision 1.54.2.6  2004/02/10 12:44:12  grzegol
- updated to 2.5.5

Revision 1.54.2.5  2004/02/05 09:22:40  aflinta
- up to version 2.5.4

Revision 1.54.2.4  2004/01/13 21:42:14  grzegol
- updated to 2.5.3

Revision 1.54.2.3  2003/12/31 08:13:31  trojan
- updated to 2.5.2.1
- removed outdated patch
- fixed files

Revision 1.54.2.2  2003/12/10 17:43:38  wiget
- 2.5.1

Revision 1.54.2.1  2003/12/08 19:52:01  wiget
- 2.5.0

Revision 1.54  2003/11/10 20:55:58  grzegol
- updated to 2.4.2

Revision 1.53  2003/10/31 14:05:30  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.52  2003/10/14 05:55:45  trojan
- updated to 2.4.1

Revision 1.51  2003/09/09 08:55:39  grzegol
- updated to 2.4.0

Revision 1.50  2003/09/02 10:38:16  grzegol
- updated to 2.3.90

Revision 1.49  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.48  2003/08/21 20:14:55  jareq
- Requires: gnome-mime-data

Revision 1.47  2003/08/18 08:09:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.46  2003/08/12 08:06:27  trojan
- updated to 2.3.6

Revision 1.45  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.44  2003/07/16 13:52:01  grzegol
- updated to 2.3.4

Revision 1.43  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.42  2003/06/27 14:38:23  qboosh
- more macros

Revision 1.41  2003/06/04 13:05:17  aflinta
- version 2.3.3

Revision 1.40  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.39  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/08 16:01:44  wiget
- yelp don't requires xft-devel direct.
- rel. 2

Revision 1.37  2003/04/07 21:59:56  aflinta
- updated to version 2.3.0

Revision 1.36  2003/01/20 21:14:44  aflinta
- updated to version 2.2.0

Revision 1.35  2003/01/14 11:00:59  michuz
- fixed %%build

Revision 1.34  2003/01/13 23:39:07  aflinta
- updated to version 2.1.5

Revision 1.33  2003/01/06 22:04:16  aflinta
- updated to version 2.1.4

Revision 1.32  2002/12/16 18:42:59  aflinta
- updated to version 2.1.3

Revision 1.31  2002/12/09 07:44:31  aflinta
- updated BR
- release 5

Revision 1.30  2002/12/05 10:02:25  aflinta
- moved from /usr/X11R6 to /usr, release 4

Revision 1.29  2002/11/28 23:48:31  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.28  2002/11/28 13:53:28  wrobell
- massive attack: s/_serverdir/_bonobo_server_dir/cg

Revision 1.27  2002/11/27 11:41:18  aflinta
- updated BR
- more macros

Revision 1.26  2002/11/27 11:38:52  aflinta
- updated server file location, release 2

Revision 1.25  2002/11/12 18:48:47  aflinta
- updated to version 2.1.2

Revision 1.24  2002/10/29 18:54:31  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.23  2002/10/24 20:16:21  malekith
- release 3

Revision 1.22  2002/10/21 21:20:33  malekith
- br: libgtkhtml >= 2.1.1 (required by configure)

Revision 1.21  2002/10/21 20:48:49  aflinta
- updated to version 2.1.1

Revision 1.20  2002/10/15 19:55:23  aflinta
- release 2

Revision 1.19  2002/10/15 19:49:53  aflinta
- changed docbook-style-xsl requirements

Revision 1.18  2002/10/08 14:02:47  qboosh
- BR: autoconf,automake; R(post): GConf2

Revision 1.17  2002/10/03 23:48:12  aflinta
- updated to version 2.1.0

Revision 1.16  2002/09/30 14:30:27  kura
- Requires:      docbook-style-xsl = 1.55.0
- release 2

Revision 1.15  2002/09/04 23:53:59  aflinta
- updated to version 1.0.6

Revision 1.14  2002/08/29 12:46:14  kura
- release 2

Revision 1.13  2002/08/29 12:38:32  aflinta
- updated BR & R

Revision 1.12  2002/08/29 09:38:08  kura
- Version:        1.0.5

Revision 1.11  2002/08/25 19:38:19  aflinta
- updated to version 1.0.4

Revision 1.10  2002/08/17 12:45:16  wolf
- 1.0.3

Revision 1.9  2002/06/19 14:01:50  wiget
updated to 1.0.1

Revision 1.8  2002/06/12 12:03:20  wiget
start update to 1.0

Revision 1.7  2002/05/28 07:07:56  wiget
BR newer libgtkhtml-devel

Revision 1.6  2002/05/28 07:06:50  wiget
updated to 0.9

Revision 1.5  2002/05/22 09:34:29  wiget
- updated to 0.8
- added pixmapsdir.patch (move images from $datadir/images to $datadir/pixmaps)
- add pld.patch (set output engoding to utf-8 and fix path to xsl-stylesheets)
- release 1

Note: Rendering PLD-Guide.xml takes 10s on 800 MHz Celeron II

Revision 1.4  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/06 11:29:19  qboosh
- fixed gtk+2 package names, added pl translation

Revision 1.2  2002/02/01 19:51:20  kloczek
- partialy rewrited and switch to bzipped2 tar ball.

Based on spec from RedHat.
